summaryrefslogtreecommitdiff
path: root/tests/rmdir/t-slash
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rmdir/t-slash')
-rwxr-xr-xtests/rmdir/t-slash47
1 files changed, 47 insertions, 0 deletions
diff --git a/tests/rmdir/t-slash b/tests/rmdir/t-slash
new file mode 100755
index 0000000..e81c4db
--- /dev/null
+++ b/tests/rmdir/t-slash
@@ -0,0 +1,47 @@
+#!/bin/sh
+# make sure rmdir -p works on a directory specified with a trailing slash
+
+# Copyright (C) 2002, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rmdir --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir dir || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# Prior to coreutils-4.5.2, this would fail with the following:
+# rmdir: `dir': No such file or directory
+rmdir -p dir/ || fail=1
+
+(exit $fail); exit $fail